> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finish Sync

> API to finish sync and make the draft list version live.



## OpenAPI

````yaml PATCH /v1/subscriber_list/{list_id}/version/{version_id}/finish_sync
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/subscriber_list/{list_id}/version/{version_id}/finish_sync:
    patch:
      summary: Finish Sync
      description: API to finish sync and make the draft list version live.
      operationId: finish-sync
      parameters:
        - name: list_id
          in: path
          description: Unique string identifier of the list
          schema:
            type: string
            default: _list_id_
          required: true
        - name: version_id
          in: path
          description: >-
            Unique string identifier of the draft version of the list which
            needs to be made active(live)
          schema:
            type: string
            default: __version_id__
          required: true
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    list_id: _list_id_
                    list_name: _list_name_
                    list_description: a brief of what type of users are part of this list
                    list_type: static_list
                    subscribers_count: 0
                    source: null
                    is_readonly: false
                    status: draft
                    track_user_entry: false
                    track_user_exit: false
                    requested_for_delete: false
                    created_at: '2025-04-06T23:18:59.601000Z'
                    updated_at: '2025-04-06T23:18:59.601000Z'
                    version_id: null
              schema:
                type: object
                properties:
                  version_id:
                    type: string
                    description: >-
                      finish sync makes the draft version with the version_id
                      live as well deletes the draft version.
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    error_code: not_found
                    type: NotFound
                    message: >-
                      version_id 01JR6PCW8H9K3H40XZV4A5R not found for list_id
                      _list_id_
                    detail: >-
                      version_id 01JR6PCW8H9K3H40XZV4A5R not found for list_id
                      _list_id_
              schema:
                type: object
                description: error code and related message
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````